﻿using System;
using System.Windows;
using System.Windows.Data;
using Telerik.Windows.Controls;

namespace DatePickerWPF
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public static readonly DependencyProperty CustomTimeIntervalProperty =
			DependencyProperty.RegisterAttached("CustomTimeInterval",
												typeof(TimeSpan),
												typeof(MainWindow),
												new UIPropertyMetadata(OnCustomTimeIntervalChanged));

		public MainWindow()
		{
			InitializeComponent();
		}

		public static TimeSpan GetCustomTimeInterval(DependencyObject obj)
		{
			return (TimeSpan)obj.GetValue(CustomTimeIntervalProperty);
		}

		public static void SetCustomTimeInterval(DependencyObject obj, TimeSpan value)
		{
			obj.SetValue(CustomTimeIntervalProperty, value);
		}

		private static void OnCustomTimeIntervalChanged(DependencyObject sender, DependencyPropertyChangedEventArgs e)
		{
			var dateTimePicker = sender as RadDateTimePicker;
			if (dateTimePicker != null)
			{
				dateTimePicker.TimeInterval = (TimeSpan)e.NewValue;
			}
		}
	}
}
